% -*-  coding:utf-8 mode:trale-prolog   -*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%          $File: german-maltese-lexrules.pl $
%%      $Revision: 190 $
%%          $Date: 2007-06-16 12:51:22 +0200 (Sat, 16 Jun 2007) $
%%         Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%% $LastChangedBy: stefan $
%%        Purpose: Lexical rules that are identical for German and Maltese
%%       Language: Trale
%          System: TRALE 2.7.5 (release ) under Sicstus 3.12
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


:- multifile if/2.
:- discontiguous if/2.
:- multifile fun/1.
:- discontiguous fun/1.
:- multifile ':='/2.
:- discontiguous ':='/2.
:- multifile lex_rule/2.
:- discontiguous lex_rule/2.
:- multifile '*>'/2.
:- discontiguous '*>'/2.


% German, Maltese, and Persian
%

attr_adj *>
(@n_modifier,
 synsem:loc:cat:(head:(mod_adj, % should follow somehow ...
                       subj:[ @pro_np(Ind) ],
                       mod:loc:cont:ind:Ind),
                 subcat:(list_of_non_raised_arguments,
                         list_of_non_move_arguments))).  % no extraction from the prenominal area in German.
                                                         % Relative pronouns are excluded as well.

attr_adj_lr *>
(%attr_adj,
 @sem_identical_lr,
 synsem:(loc:cat:(head:(%Head, % The sharing is done for inflectional languages (German, Maltese, but not for Persian)
                        scopal:Scopal),
%                  spr:Spr,
                  subcat:Subcat),
         nonloc:Nonloc,
         lex:Lex,
         trace:Trace),
 dtrs:[(synsem:(loc:cat:(head:( %Head,
%                               prd_adj,              % breaks scopal adjectives
                               scopal:Scopal),
%                         spr:Spr,
                         subcat:Subcat),
                nonloc:Nonloc,
                lex:Lex,
                trace:Trace))]).
