% -*- coding:utf-8 mode:trale-prolog-*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: core-syntax.pl,v $
%%  $Revision: 161 $
%%      $Date: 2007-05-30 14:47:43 +0200 (Wed, 30 May 2007) $
%%     Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%%    Purpose: All the syntactic constrints that belong to
%%             Universal Grammar.
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.10.1
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- multifile ':='/2.
:- discontiguous ':='/2.
:- multifile '*>'/2.
:- discontiguous '*>'/2.
:- multifile if/2.
:- discontiguous if/2.
:- multifile fun/1.
:- discontiguous fun/1.





% er ihm müssen mit verbleibendem Verb-Komplement auf der Valenzliste

% Without such a constraint a complex forming head enters in head-argument-structures
% if the language allows for free constituent ordering. The valency list is then undetermined
% and all material in the input is combined with the head.
%(head_argument_phrase,
% synsem:loc:cat:subcat:hd:arg:lex:plus) *> synsem:loc:cat:subcat:hd:realized:plus.

% Some elements from a clusters may raise higher than the left most element,
% but it does not make sense to raise something that has to appear to the right
% of an initial head. This results in spurious ambiguities.


% this causes residues with modals since their flip value is not instantiated.
% I do not know how to fix this because of `haben', which shares its FLIP with the
% embedded verb. St. Mü. 11.03.2008
(head_argument_phrase,
 synsem:loc:cat:subcat:hd:arg:loc:(cat:head:flip:plus,
                                   cluster:plus)) *> synsem:loc:cat:subcat:hd:realized:plus.

