% -*-trale-prolog-*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: core-macros-spirits.pl,v $
%%  $Revision: 267 $
%%      $Date: 2007-12-07 15:36:09 +0100 (Fr, 07 Dez 2007) $
%%     Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%%    Purpose: Eine kleine Spielzeuggrammatik für die Lehre
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.10.1
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- multifile ':='/2.
:- discontiguous ':='/2.

% In the synsem world arg is omitted. For spirits, we have to prefix arg:
arg(X) := arg:X.

% Alle Argumente, die in Valenzrahmen spezifiziert werden, sind realized:minus.
% Es gibt auch solche, die nicht spezifiziert sondern angehoben werden.
% Diese können realized:plus oder realized:minus sein, das hängt davon ab,
% ob sie in einer Projektion im Vorfeld realisiert wurden, oder nicht.
% Die Makros np_str, np_str(Per,Num) und np_lex werden für Kasusvergabe
% und für Kongruenz genutzt. Bei ihnen darf also der REALIZED-Wert nicht
% spezifiziert sein.
argument :=
  (arg:loc:idiomatic:minus,
   realized:minus).

idiomatic_argument :=
  (arg:loc:idiomatic:plus,
   realized:minus).



non_raised :=
  raised:minus.

% Die folgenden XP-Makros werden als Abkürzung in Valenzrahmen
% verwendet.

% used in clitic left dislocation LR
xp_local :=
 cat:(spr:[],
      subcat:list_of_spirits).



np_expl :=
  (@argument_np,
   @np_str,
   @arg(loc:cont:ind:expl)).


% for passive, participles, and nominalizations
blocked_np_ref :=
 (@pro_np_ref,
  realized:minus).

blocked_np_ref(Ind) :=
 (@blocked_np_ref,
  @np(Ind)).



np_(Per,Num) :=
 (@np,
  arg:loc:cont:ind:(per:Per,
                    num:Num)).




% Chinese for modifiers.
vp :=
 loc:cat:(head:verb,
          spr:ne_list,
          subcat:list_of_spirits).
