% -*-  coding:utf-8 mode:trale-prolog   -*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: maltese-macros.pl,v $
%%  $Revision: 140 $
%%      $Date: 2007-05-23 11:39:15 +0200 (Mi, 23 Mai 2007) $
%%     Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%%    Purpose: A grammar for Maltese
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.12
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- multifile ':='/2.
:- discontiguous ':='/2.
:- multifile '*>'/2.
:- discontiguous '*>'/2.



% The specifier of the head daughter is underspecified.
% This allows binding off of the nonlocal depnedncy before
% the subject or after the subject.
head_filler_phrase *>
   (synsem:nonloc:inher:slash:[],
    head_dtr:synsem:(loc:cat:(head:verb,
                              subcat:[]),
                     nonloc:(inher:slash:[Slash],
                             to_bind:slash:[Slash])),
    non_head_dtrs:[(%phon:ne_list,
                    % to do: there has to be a restriction on the filler
                    %        that it is definite.
                    synsem:(loc:Slash,
                            nonloc:inher:(rel:[], % "In der hat er geschlafen." hätte sonst zwei Strukturen.
                                          slash:[])))]).







head_argument_phrase *>
 (synsem:loc:cat:(spr:Spr,
                  subcat:Subcat),
  head_dtr:synsem:loc:cat:(spr:Spr,
                           subcat:[NonHeadDtrSynsem|Subcat]),
  non_head_dtrs:[synsem:NonHeadDtrSynsem]).


/*

% If this is used, passive has to be dealt with in a separate
% schema, because argument attraction has to happen in a fixed
% order.

head_argument_phrase *>
 (synsem:loc:cat:(spr:Spr,
                  subcat:del(NonHeadDtrSynsem,Subcat)),
  head_dtr:synsem:loc:cat:(spr:Spr,
                           subcat:Subcat),
  non_head_dtrs:[synsem:NonHeadDtrSynsem]).
*/



% Determiners, classifiers and subjects may not be extracted. 
spr:ne_list *> spr:[(%loc:cat:spr:[],             % this is not necessary, but avoids residues
                     % Hm, removes only one of ten residues
                     nonloc:inher:slash:[])].


head_specifier_phrase *>
 (synsem:loc:cat:(spr:Spr,
                  subcat:[]),
  head_dtr:synsem:loc:cat:(spr:[NonHeadDtrSynsem|Spr],
                           subcat:[]),
  non_head_dtrs:[synsem:NonHeadDtrSynsem]).




head_adjunct_phrase *>
 (synsem:loc:cat:(spr:Spr,
                  subcat:Subcat),
  head_dtr:synsem:(HeadDtrSynsem,
                   loc:cat:(spr:Spr,
                            subcat:Subcat)),
  non_head_dtrs:[synsem:loc:cat:(head:mod:HeadDtrSynsem,
                                 spr:[],
                                 subcat:[])]).



fun assign_case_verb(-).
assign_case_verb(_) if !,true. % for debugging we can disable case assignment here.



root :=
 (synsem:(loc:(cat:(head:major,
                    spr:[],
                    subcat:[]),
               cont:(gtop:_GTop,     % The H_CONS GTop =q LTop is missing.
                     ltop:_LTop)),
          nonloc:inher:slash:[])).

interrog :=
 (@root).

decl :=
 (@root).
