% -*-  coding:utf-8 mode:trale-prolog   -*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%          $File: german-maltese-lexrules.pl $
%%      $Revision: 190 $
%%          $Date: 2007-06-16 12:51:22 +0200 (Sat, 16 Jun 2007) $
%%         Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%% $LastChangedBy: stefan $
%%        Purpose: Lexical rules that are identical for German and Maltese
%%       Language: Trale
%          System: TRALE 2.7.5 (release ) under Sicstus 3.12
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


:- multifile if/2.
:- discontiguous if/2.
:- multifile fun/1.
:- discontiguous fun/1.
:- multifile ':='/2.
:- discontiguous ':='/2.
:- multifile '*>'/2.
:- discontiguous '*>'/2.

:- multifile lex_rule/2.

%%% maps words to words
%%% nackt (predicative) -> nackt (depictive)

%%% currently the ARG1 argument is instantiated wrongly for prenominal participles:
%%% die nackt schlafende Frau
%%% the econt/icont destinction is needed, it has to be made for indices.

 % weil er nackt nicht schläft. % scopal?

depictive_lr *>
 (@intersective_v_modifier_le,
  @scoping_lr_unshared_index,
%  @general_non_aux_adverbial,
%  @lexical_rule_identical_subcat(Dtr),
  synsem:(loc:cat:(head:(mod_adj,
                         mod:loc:cat:head:aux:minus,
                         subj:Subj),
                   spr:Spr,
                   subcat:Subcat),
          nonloc:Nonloc,
          v2:V2,
          trace:Trace,
          lex:Lex),
  rels:hd:pred:(a_ during),
  dtrs:[(word,
         synsem:(loc:cat:(head:(prd_adj,
                                subj:(Subj,
                                      [@pro_np_ref])), % daß es warm regnet. = Regen ist warm, nicht während es regnet, ist es warm
                          spr:Spr,
                          subcat:Subcat),
                 nonloc:Nonloc,
                 v2:V2,
                 trace:Trace,
                 lex:Lex))]).



depictive_lr *>
 (synsem:loc:cat:head:mod:loc:cat:(head:(subj:Subj,
                                         da:DA),
                                   subcat:Subcat),
  dtrs:hd:synsem:loc:cat:head:(prd_adj,
                               subj:[arg:loc:cont:ind:Ind])) goal
  % the antecedent can be in the blocked DA
  % das nackt zu putzende Fenster
  % in the SUBJ
  % der das Fenster nackt putzende Mann
  % or in SUBCAT
  % Er putzt das Fenster nackt.
 member(arg:loc:cont:ind:Ind,check_identical_append(DA,Subj,Subcat)).          



depicitve_lr ##
  Dtr
 **>
( depictive_lr,
  dtrs:[Dtr])
morphs
  X becomes X.
