% -*- coding:utf-8 mode:trale-prolog-*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: core-syntax.pl,v $
%%  $Revision: 140 $
%%      $Date: 2007-05-23 11:39:15 +0200 (Wed, 23 May 2007) $
%%     Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%%    Purpose: Hiding and ordering statements that belong to
%%             Universal Grammar.
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.10.1
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- multifile hidden_feat/1.
:- multifile '<<<'/2.


% feature hiding and ordering
hidden_feat(dtrs).              % hide the dtrs attribute (shown by tree)
hidden_feat(head_dtr).          % hide the head_dtr attribute (shown by tree)
hidden_feat(non_head_dtrs).     % hide the non_head_dtr attribute ("")


>>> phon.        % phon shall be shown first
>>> pred.

head <<< spr.
spr <<< subcat.
subcat <<< arg_st.

synsem  <<< c_cont.
synsem  <<< rels.        % we need this statement if c_cont is missing (words)

c_cont <<< rels.
rels   <<< h_cons.

h_cons   <<< head_dtr.
head_dtr <<< non_head_dtrs.

non_head_dtrs <<< dtrs.

loc <<< nonloc.

nonloc <<< lex.

%cat <<< cont.
%cont <<< cluster.
%cluster <<< idiomatic.


% MRS things
lbl <<< arg0.

arg0 <<< rstr.
rstr <<< body.

gtop <<< ltop.
ltop <<< ind.

% Index

per <<< num.
%num <<< gen.  % does not exist in all languages


