% -*-  coding:utf-8 mode:trale-prolog   -*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: lexrules.pl,v $
%%  $Revision: 152 $
%%      $Date: 2007-05-25 23:25:37 +0200 (Fri, 25 May 2007) $
%%     Author: Stefan Mueller (Stefan.Mueller@fu-berlin.de)
%%    Purpose: Lexical rules for comparative and superlative
%%   Language: Trale
%%     System: TRALE 2.7.5 (release ) under Sicstus 3.12
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- multifile if/2.
:- discontiguous if/2.
:- multifile ':='/2.
:- discontiguous ':='/2.

:- multifile fun/1.
:- discontiguous fun/1.

:- multifile lex_rule/2.
:- discontiguous lex_rule/2.

:- multifile '*>'/2.
:- discontiguous '*>'/2.


% The AFORM changes unfortunately we have to copy over the rest.  The comparative lexical rule
% applies to the uninflected form (in German the uninflected stem).
adj_comparative_superlative_lr *>
 (@scoping_lr,
  synsem:(loc:cat:(head:(adj,
                         initial:Ini,
                         %pre_modifier:PM,   not true for superlatives in Persian
                         scopal:Scopal,
                         subj:Subj,
                         mod:Mod),
                   spr:Spr),
          nonloc:Nonloc),
  dtrs:hd:synsem:(loc:cat:(head:(adj,
                                 initial:Ini,
                                 %pre_modifier:PM,
                                 scopal:Scopal,
                                 subj:Subj,
                                 mod:Mod),
                           spr:Spr),
                  nonloc:Nonloc)).


% a PP argument may be added here.
adj_comparative_lr *>
  (%adj_comparative_superlative_lr,
   rels:hd:pred: (a_ comparative),
   synsem:loc:cat:(head:(aform:comparative,
                         pre_modifier:PM),
                   subcat:Subcat),
   dtrs:hd:synsem:loc:cat:(head:(aform:positive,
                                 pre_modifier:PM),
                           subcat:Subcat)).




adj_superlative_lr *>
  (%adj_comparative_superlative_lr,
   rels:hd:pred: (a_ superlative),
   synsem:loc:cat:(head:aform:superlative,
                   subcat:Subcat),
   dtrs:hd:synsem:loc:cat:(head:aform:positive,
                           subcat:Subcat)).

