% -*-trale-prolog-*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: german-macros.pl,v $
%%  $Revision: 316 $
%%      $Date: 2008-06-12 17:21:16 +0200 (Do, 12 Jun 2008) $
%%     Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%%    Purpose: German grammar using MRS
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.10.1
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- multifile ':='/2.
:- discontiguous ':='/2.
:- multifile (if)/2.
:- discontiguous (if)/2.
:- multifile (fun)/1.
:- discontiguous (fun)/1.
:- multifile '*>'/2.
:- discontiguous '*>'/2.


% currently we use SPR, but for German it would be SUBJ
% is necessary one could use XARG. St. Mü. 25.02.2012


% Kontrollverben betten den Infinitiv semantisch ein
% und haben ein Subjekt.
control_verb :=
  (@non_flip_verb_le,
   optionally_coherent_verb_le,  % This type name is not appropriate for Danish, since Danish does not have verbal complexes ...
   @non_hcons_le,
   @non_idiomatic_le,
   @nerg_pred,    % is this true for all?
   synsem:loc:cat:arg_st:[arg:loc:(cat:(head:verb,
                                        xarg:[ @pro_np_ref ]),
                                   cont:ltop:LTop)|append(_,[@np_str(SubjInd)])],
   rels:[(arg1:SubjInd,
          arg3:LTop)]).



subj_control_verb :=
  (@control_verb,
   synsem:loc:cat:arg_st:[arg:loc:cat:xarg:hd:arg:loc:cont:ind:SubjInd|
                          append(_,[arg:loc:cont:ind:SubjInd])]).


obj_control_verb :=
  (@zu_inf_verb,
   @control_verb,
   synsem:loc:cat:arg_st:[arg:loc:cat:xarg:hd:arg:loc:cont:ind:ObjInd|
                          append(_,[arg:loc:cont:ind:ObjInd,_Subj])],
   rels:[arg2:ObjInd]).
