% -*-  coding:utf-8 mode:trale-prolog   -*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%          $File: german-maltese-lexrules.pl $
%%      $Revision: 94 $
%%          $Date: 2007-03-26 17:16:20 +0200 (Mon, 26 Mar 2007) $
%%         Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%% $LastChangedBy: stefan $
%%        Purpose: Macros that are identical for German and Maltese
%%       Language: Trale
%          System: TRALE 2.7.5 (release ) under Sicstus 3.12
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


:- multifile (if)/2.
:- discontiguous (if)/2.
:- multifile (fun)/1.
:- discontiguous (fun)/1.
:- multifile ':='/2.
:- discontiguous ':='/2.
:- multifile (lex_rule)/2.
:- discontiguous (lex_rule)/2.
:- multifile '*>'/2.
:- discontiguous '*>'/2.






% The first NP with structural case is represented under SUBJ if there is any.
% adjectives and predicative prepositions
subj_subcat_mapping_le *>
 (@spr_saturated,
  synsem:loc:cat:(head:subj:Subj,
                  xarg:Subj,
                  subcat:block_subject(ArgSt,Subj),
                  arg_st:ArgSt)).




% Nicht alle Adjektive haben ein Subjekt (mir ist warm)
intersective_adj_stem :=
 (@intersective_adj_le,
  underived_stem).




% Passiv
passive_aux_verb :=
 (@aux_verb,
  @scopal_raising_verb_le,
  % the passive auxiliary selects a verbal projection with an element in DA that is a blocked
  % referential NP. (pronominal)
  synsem:loc:cat:arg_st:hd:arg:loc:cat:head:da:[@blocked_np_ref]).

% all passive auxiliaries except "lassen"
% SPR is empty in German, but filled in Danish.
/*
simple_passive_aux_verb :=
 (@passive_aux_verb,
  @non_flip_verb_le,
  synsem:loc:cat:arg_st:[arg:loc:cat:(spr:Spr,
                                      subcat:Subcat)|raise(append(Subcat,Spr))]).

*/

/*

For Danish it already follows from inheriting from aux_verb that the specifier is raised.

simple_passive_aux_verb :=
 (@passive_aux_verb,
  @non_flip_verb_le,
  synsem:loc:cat:arg_st:[arg:loc:cat:spr:Spr|raise(Spr)]).
*/





/*

German subjects are treated via SUBJ, English and Danish via SPR.

% German selects a ppp form, Danish a perf form.
perfect_aux_verb :=
 (@aux_verb,
  @scopal_subj_raising_verb,
  rels:[pred: (a_ perfect)]).
*/


/*

% German differs here in forming a coherent construction.

ppp_inf_verb :=
  (@raising_verb,
   @verbal_complement_le,
   synsem:loc:cat:arg_st:hd:arg:loc:cat:head:vform:ppp).
*/

zu_inf_verb  :=
  (@non_flip_verb_le,
   @verbal_complement_le,
   synsem:loc:cat:arg_st:hd:arg:loc:cat:head:vform:inf).



% expl_np_verb :=
%  (@non_flip_verb,
%   @nerg_pred,
%   @non_hcons_le,  
%   synsem:loc:cat:arg_st:[ @np_expl ]).

% rain, regnen, regner
expl_np_verb(Relation) :=
 (@verb(Relation),
  @non_flip_verb_le,
  @nerg_pred,
  synsem:loc:cat:arg_st:[ @np_expl_str ]).
