% -*-  coding:utf-8 mode:trale-prolog   -*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%          $File: german-maltese-lexrules.pl $
%%      $Revision: 94 $
%%          $Date: 2007-03-26 17:16:20 +0200 (Mon, 26 Mar 2007) $
%%         Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%% $LastChangedBy: stefan $
%%        Purpose: Macros that are identical for German and Maltese
%%       Language: Trale
%          System: TRALE 2.7.5 (release ) under Sicstus 3.12
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


:- multifile (if)/2.
:- discontiguous (if)/2.
:- multifile (fun)/1.
:- discontiguous (fun)/1.
:- multifile ':='/2.
:- discontiguous ':='/2.
:- multifile (lex_rule)/2.
:- discontiguous (lex_rule)/2.
:- multifile '*>'/2.
:- discontiguous '*>'/2.




% Bei Mädchen, Weib usw. sind SynGenus und SemGenus
% verschieden.
noun_gender(SynGenus-genus,SemGenus-genus,Relation) :=
 (synsem:loc:(cat:spr:[arg:loc:cat:head:gen:SynGenus],
              cont:ind:gen:SemGenus),
  rels:[pred:Relation]).

noun_gender(SynGenus-genus,SemGenus-genus,Relation,Sort) :=
 (@noun_gender(SynGenus,SemGenus,Relation),
  synsem:loc:cont:ind:sort:Sort).

% Mädchen, Weib
noun_g(SynGenus-genus,SemGenus-genus,Relation) :=
 (@noun_gender(SynGenus,SemGenus,Relation),
  @underived_simple_noun_nominal).

noun_g(SynGenus-genus,SemGenus-genus,Relation,Sort) :=
 (@noun_gender(SynGenus,SemGenus,Relation,Sort),
  @underived_simple_noun_nominal).

% Normalerweise sind die Genus-Werte aber gleich.
% Haus
noun(Genus,Relation) :=
 (@underived_simple_noun_nominal,
  synsem:loc:cont:ind:gen:Genus,
  rels:[pred:Relation]).

noun(Genus-genus,Relation,Sort-anything) :=
 (@noun(Genus,Relation),
  synsem:loc:cont:ind:sort:Sort).

mass_noun(Genus-genus,Relation,Sort-anything) :=
 (@noun(Genus,Relation),
  @underived_simple_noun_nominal, % to do
  synsem:loc:cont:ind:sort:Sort).


underived_relational_noun_nominal(PForm,PCase) :=
 (underived_det_noun_stem,
  @relational_noun_le(PForm,PCase),
  @noun_nominal).

relational_noun(Genus-genus,PForm,PCase,Relation,Sort-anything) :=
 (@underived_relational_noun_nominal(PForm,PCase),
  @noun_gender(Genus,Genus,Relation,Sort)).

underived_part_noun_nominal(PForm,PCase) :=
 (underived_det_noun_stem,
  @part_noun_le(PForm,PCase),
  @noun_nominal).

part_noun(Genus-genus,PForm,PCase,Relation) :=
 (@underived_part_noun_nominal(PForm,PCase),
  @noun_gender(Genus,Genus,Relation)).

pp_noun(Genus-genus,PForm,Relation,Sort1,Sort2) :=
 (@underived_pp_noun_nominal,
  @noun_gender(Genus,Genus,Relation,Sort1),
  synsem:loc:cat:subcat:hd:arg:loc:cat:head:pform:PForm,
  rels:[arg1:sort:Sort2]).


