% -*- coding:utf-8 mode:trale-prolog-*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: core-syntax.pl,v $
%%  $Revision: 161 $
%%      $Date: 2007-05-30 14:47:43 +0200 (Wed, 30 May 2007) $
%%     Author: Stefan Mueller (Stefan.Mueller@fu-berlin.de)
%%    Purpose: Head argument combinations for Maltese and Danish.
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.10.1
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- multifile ':='/2.
:- discontiguous ':='/2.
:- multifile '*>'/2.
:- discontiguous '*>'/2.
:- multifile (if)/2.
:- discontiguous (if)/2.
:- multifile (fun)/1.
:- discontiguous (fun)/1.





% Even in configurational languages that saturate the arguments from the end of the list,
% we have to use append here, since the SUBCAT list may start with realized elements (spirits),
% due to the lexical treatment of cliticization.


head_argument_phrase *>
 (synsem:loc:cat:subcat:append(FirstPart,
                               [(arg:NonHeadDtr,
                                 raised:Raised,
                                 realized:plus)|Rest]),
  head_dtr:synsem:loc:cat:subcat:append(FirstPart,
                                        [(arg:NonHeadDtr,
                                          raised:Raised,
                                          realized:minus)|(Rest,
                                                           list_of_spirits)]),
  non_head_dtrs:[synsem:(NonHeadDtr,
                         loc:cat:head:non_spec_head)]).         % excludes determiners in EFD computation.

% Does not work because of prepositional passive. 06.03.2013
%                                  subcat:list_of_spirits))]). % Maltese does not allow complex predicate formation (I hope). St. Mü. 13.05.2007
