% -*-trale-prolog-*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: german-macros.pl,v $
%%  $Revision: 316 $
%%      $Date: 2008-06-12 17:21:16 +0200 (Do, 12 Jun 2008) $
%%     Author: Stefan Mueller (Stefan.Mueller@fu-berlin.de)
%%    Purpose: German grammar using MRS
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.10.1
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- multifile ':='/2.
:- discontiguous ':='/2.

:- multifile '*>'/2.
:- discontiguous '*>'/2.

% most languages do not allow extraction, but Danish does.

% there should be a supertype for normal and fused prepositions (German von and vom = von + dem)
% currently the constraint is formulated for normal Ps only.
prep_word *>
  synsem:loc:cat:subcat:hd: @arg(trace:minus_or_resumptive).


% Big problem: die Tage, die ich arbeite, rechnet der Chef nicht ab.
% Here the relative pronoun is an adjunct and should have a MOD value.
% St. Mü. 14.02.2010

% also used in Persian
nominal_rel_pronoun :=
 (@nominal_pronoun_le,   % -> compl_noun
  @rel_pronoun,
  @non_relational_le).  % possessives introduce relations

rel_prep_word *>
 (@rel_pronoun,
  @non_relational_le).

pp_rel_pronoun(PForm) :=
  (rel_prep_word,
   synsem:loc:cat:head:pform:PForm).



pp_rel_pronoun(PForm,Num,Sort) :=
  (@pp_rel_pronoun(PForm),
   synsem:nonloc:inher:rel:hd:(num:Num,
                               sort:Sort)).



% possessive *>
%  (%determiner_le
%   synsem:loc:(cat:head:spec:loc:cont:ind:NInd,
%               cont:(ind:Ind,
%                     gtop:GTop)),
%   rels:tl:tl:[(def_q,
%                lbl:QHandle,
%                arg0:NInd,
%                rstr:Restr),
%               (pred_arg2_3_relation,
%                pred: (a_ besitzen_rel),
%                lbl:Label,
%                arg0: event,     % hm, some event ...
%                arg2:Ind,
%                arg3:NInd)],
%   h_cons:tl:tl:[(qeq,
%                  harg:GTop,
%                  larg:QHandle),
%                 (qeq,
%                  harg:Restr,
%                  larg:Label)
%                 ]).




possessive(Person,Numerus) :=
 (@possessive_non_rel_pronoun, % Untertyp von mixed_det (auch für ihr???)
  synsem:loc:cont:ind:(per:Person,
                       num:Numerus)).