% -*-  coding:utf-8 mode:trale-prolog   -*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%          $File: german-maltese-persian-macros.pl $
%%      $Revision: 94 $
%%          $Date: 2007-03-26 17:16:20 +0200 (Mon, 26 Mar 2007) $
%%         Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%% $LastChangedBy: stefan $
%%        Purpose: Macros that are identical for German and Maltese
%%       Language: Trale
%          System: TRALE 2.7.5 (release ) under Sicstus 3.12
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


:- multifile if/2.
:- discontiguous if/2.
:- multifile fun/1.
:- discontiguous fun/1.
:- multifile ':='/2.
:- discontiguous ':='/2.
:- multifile lex_rule/2.
:- discontiguous lex_rule/2.
:- multifile '*>'/2.
:- discontiguous '*>'/2.

% all nouns that take a specifier
det_noun_stem *>
 (%stem,
  %noun_le,
  @spr_noun_le,
  @non_rel_le,
  synsem:loc:cat:spr:[(@argument,
                       arg:loc:cat:(head:det,
                                    subcat:[] ))]).


% This is for preverbal nouns as well, which do not select a determiner.
underived_noun_nominal :=
 (underived_stem,
  @noun_nominal).

% `Baum' im Gegensatz zu `Gerenne'
underived_simple_noun_nominal :=
 (@underived_noun_nominal,
  underived_det_noun_stem, % inherits from det_noun_stem, that is: selects a determiner.
  @simple_noun_le).

% German: Vater, see core macros

underived_relational_mono_noun_nominal :=
 (@spr_noun_le,
  synsem:loc:cat:subcat:[@np_str(Ind)],
  rels:hd:arg1:Ind).



scopal_adverb :=
 (@scopal_v_modifier_word,
  @non_rel_adverb_word).

scopal_adv(Relation) :=
 (@scopal_adverb,
  rels:[pred:Relation]).

% this is not quite correct, since there are relative pronouns that are adverbs (German).
intersective_adverb :=
 (@intersective_v_modifier_word,
  @non_rel_adverb_word).

intersect_adv(Relation) :=
 (@intersective_adverb,
  rels:[pred:Relation]).

temp_adv(Relation) :=
  @intersect_adv(Relation).



