% -*- coding:utf-8 mode:trale-prolog-*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: core-syntax.pl,v $
%%  $Revision: 140 $
%%      $Date: 2007-05-23 11:39:15 +0200 (Wed, 23 May 2007) $
%%     Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%%    Purpose: All the syntactic constrints that belong to
%%             Universal Grammar.
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.10.1
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- multifile ':='/2.
:- discontiguous ':='/2.
:- multifile '*>'/2.
:- discontiguous '*>'/2.
:- multifile if/2.
:- discontiguous if/2.
:- multifile fun/1.
:- discontiguous fun/1.



% What about finite verbs in Maltese and Chinese? 26.03.2007


% Das ist die erste Version gewesen, leider ist sie aber mit der scheinbar mehrfachen Vorfeldbesetzung
% nicht kompatibel. Wenn die MVF als Instanz der kohärenten Konstruktion analysiert werden soll, dann
% ist es für die Analyse von Sätzen wie (1) nötig, die Anhebung von Argumenten eines finiten Verbs zuzulassen.
%
% (1) Der Frau das Buch gibt er nicht.
%
%(word,
% synsem:loc:cat:head:vform:fin) *> synsem:loc:cat:subcat:list_of_non_raised_arguments.

% Bei der folgenden Formulierung wird der raised-Wert erst festgelegt, wenn das Verb in einer
% syntaktischen Struktur verwendet wird.

head_dtr:(%(complex_word;
          %  simple_word),
          complex_word,
           % word, % should be sufficient, seems to be a TRALE bug.
          phon:ne_list, % sonst würde die finite Spur im Vorfeld die Anhebung eines Arguments nicht gestatten.
                        % Leider wird die Implikation somit auch nicht auf die Verbspur in der rechten Satzklammer
                        % im Hauptsatz angewendet. Deshalb muß die Beschränkung noch mal extra in der
                        % Lexikonregel für die Bewegung des finiten Verbs formuliert werden.

          synsem:loc:cat:head:vform:fin) *> synsem:loc:cat:subcat:list_of_non_raised_arguments.

