% -*- coding:utf-8 mode:trale-prolog-*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: core-syntax.pl,v $
%%  $Revision: 161 $
%%      $Date: 2007-05-30 14:47:43 +0200 (Wed, 30 May 2007) $
%%     Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%%    Purpose: All the syntactic constrints that belong to
%%             Universal Grammar.
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.10.1
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- multifile ':='/2.
:- discontiguous ':='/2.
:- multifile '*>'/2.
:- discontiguous '*>'/2.
:- multifile (if)/2.
:- discontiguous (if)/2.
:- multifile (fun)/1.
:- discontiguous (fun)/1.
:- multifile (lex_rule)/2.
:- discontiguous (lex_rule)/2.

hm_trace *>
 (%trace,
  @non_slashed_le,
  synsem:(loc:(Loc,
               cat:head:(verb,
                         %initial:minus,  % German is initial-, while Danish is initial+
                         inv:minus,
                         dsl:Loc)),
         trace:head_movement
         )).




% Persian does not have DSL.
% Apart from DSL German and Persian are similar.
complementizer_like_word *>
  synsem:loc:cat:head:dsl:none.

complementizer_word *>
  synsem:loc:cat:subcat:hd:arg:loc:cat:head:dsl:none.



% Has to be ensured for all lexical items that embed verbal projections
% to rule out verb traces as arguments. The verb traces are licenced only when the MF-LR applied.
% St. Mü. 28.05.2009
verbal_complement_le :=
  synsem:loc:cat:arg_st:hd:(@argument,  % not realized yet
                            arg:loc:cat:head:dsl:none).
