% -*-  coding:utf-8 mode:trale-prolog   -*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: chinese-macros.pl,v $
%%  $Revision: 1.1 $
%%      $Date: 2007/03/08 10:01:00 $
%%     Author: Stefan Mueller (Stefan.Mueller@fu-berlin.de)
%%    Purpose: Subject and object markers used in Chinese and Persian
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.12
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



:- multifile ':='/2.
:- discontiguous ':='/2.
:- multifile '*>'/2.
:- discontiguous '*>'/2.
:- multifile 'if'/2.
:- multifile 'fun'/1.


% Markers for Chinese and Persian

% pre_modifier:plus for Chinese and minus for Persian (râ which attaches to the object and -i which attaches to any N').

marker_word :=
 (overt_word,
  @non_relativizer_le,
  @non_rel_le,
  @non_hcons_le,
  @non_que_le,
  @non_slashed_le,
  @saturated,
  @non_idiomatic_le,
  synsem:loc:cat:head:(marker,
                       mod:(loc:cat:(marked_:plus,
                                     marking:marked)),
                       scopal:minus,
                       pre_modifier: @np_marker_pre_modifier) % Hey, a parameter.
).

subj_obj_marker_word :=
 (@marker_word,
  %@arg0_le,
  @ltop_lbl_le,
  synsem:loc:(cat:head:mod:(@np_synsem,
                            loc:cont:Cont),
              cont:(Cont,
                    ind:(ref,         % The markers should not apply to predicative NPs.
                         Ind))),
   rels:[arg1:Ind]).                  % ARG0 should be the event of the verb, but how do we get this as an adjunct to an argument ...
                                      % St.Mü. 22.05.2007

nbar_marker :=
 (@marker_word,
  @non_relational_le,
  synsem:loc:cat:head:mod: @n_bar).
 
% semantics should be changed, more principled account integrated with determiner semantics
marker(Pred,Case) :=
 (@subj_obj_marker_word,
  synsem:loc:cat:head:mod:loc:cat:head:case:morph_case:Case,
  rels:[pred:Pred]).

