% -*-  coding:utf-8 mode:trale-prolog   -*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%          $File: german-maltese-lexrules.pl $
%%      $Revision: 94 $
%%          $Date: 2007-03-26 17:16:20 +0200 (Mon, 26 Mar 2007) $
%%         Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%% $LastChangedBy: stefan $
%%        Purpose: Macros that are identical for German and Maltese
%%       Language: Trale
%          System: TRALE 2.7.5 (release ) under Sicstus 3.12
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


:- multifile (if)/2.
:- discontiguous (if)/2.
:- multifile (fun)/1.
:- discontiguous (fun)/1.
:- multifile ':='/2.
:- discontiguous ':='/2.
:- multifile (lex_rule)/2.
:- discontiguous (lex_rule)/2.
:- multifile '*>'/2.
:- discontiguous '*>'/2.


% Danish `ingen' = nothing or nobody
neg_pronoun_word :=
  (@nominal_ref_non_rel_pronoun_word,
   @quant_intro_le,
   @non_clld_le,
   @non_que_le,
   @definite_le,
   synsem:loc:cont:(ind:(Ind,
                         per:third,
                         num:sg),
                    neg:plus),                      
   rels:hd:(no_q,
            arg0:Ind),
   h_cons:tl:tl:e_list).


% none in English, ingen in Danish
% generic_entity_rel like in ERG.
% This is needed because of the treatment of quantifiers as three-place relations.
% St.Mü. 02.03.2012
neg_pronoun :=
  (@neg_pronoun_word,
   synsem:loc:cont:ltop:LTop,
   rels:[arg0:Ind,(generic_entity_rel,
                   arg0:Ind,
                   lbl:LTop)]).

neg_pronoun(Reln,Sort) :=
  (@neg_pronoun_word,
   synsem:loc:cont:ltop:LTop,
   rels:[arg0:Ind,(Reln,
                   arg0:(Ind,
                         sort:Sort),
                   lbl:LTop)]).
