% -*-  coding:utf-8 mode:trale-prolog   -*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%          $File: predication-projection.pl $
%%      $Revision: 280 $
%%          $Date: 2008-01-11 15:00:27 +0100 (Fr, 11 Jan 2008) $
%%         Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%% $LastChangedBy: stefan $
%%        Purpose: a unary branching rule that licences predicational NPs (instead of a LR)
%%       Language: Trale
%          System: TRALE 2.7.5 (release ) under Sicstus 3.12
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


:- multifile (if)/2.
:- discontiguous (if)/2.
:- multifile (fun)/1.
:- discontiguous (fun)/1.
:- multifile ':='/2.
:- discontiguous ':='/2.
:- multifile (lex_rule)/2.
:- discontiguous (lex_rule)/2.
:- multifile '*>'/2.
:- discontiguous '*>'/2.



mod_noun *> case:case_type:lex.

% Hey, we finally got a PredP. =;-) St. Mü. 16.02.2009
time_noun_np *>
 (@v_modifier,
  synsem:(loc:cat:(head:(mod_noun,
                         mod:loc:cont:(ltop:LTop,
                                       gtop:GTop,
                                       lextop:LTop,
                                       ind:Event)),                  
                   spr:Spr,
                   subcat:Subcat),
          nonloc:Nonloc),                            % should be inherited, but currently this is the only unary branching rule
  c_cont:(hook:(event_cont,
                ltop:LTop,
                gtop:GTop,
                lextop:LTop,
                ind:Event),
          rels:[(pred: (a_ timespan_interval_repetition_rel),  % den ganzen Tag, jedes Jahr, jeden Tag
                 lbl:LTop,
                 arg0:Event,
                 arg1:Ind)],
          h_cons:[] 
         ),
  
  non_head_dtrs:[(synsem:(loc:(cat:(head:compl_noun,
%                                          case:morph_case:acc), % German
                                    spr:(Spr,
                                         list_of_spirits),
                                    subcat:(Subcat,
                                            list_of_spirits)),
                               cont:(npro, % rules out pronouns
                                     gtop:GTop,
                                     ind:(Ind,
                                          index,
                                          sort:time)
                                    ),
                               idiomatic:minus), % The semantics principle ignores the semantics of all daughters that
                                                 % are idiomatic plus. Currently the feature is used for arguments in the
                                                 % predicate cluster only. 
                          nonloc:Nonloc,
                                 % inher:rel:[]), % die Tage, die wir arbeiteten
                          trace:minus))]).


