% -*-  coding:utf-8 mode:trale-prolog   -*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%          $File: german-maltese-lexrules.pl $
%%      $Revision: 94 $
%%          $Date: 2007-03-26 17:16:20 +0200 (Mon, 26 Mar 2007) $
%%         Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%% $LastChangedBy: stefan $
%%        Purpose: Macros that are identical for German and Maltese
%%       Language: Trale
%          System: TRALE 2.7.5 (release ) under Sicstus 3.12
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


:- multifile ':='/2.
:- discontiguous ':='/2.
:- multifile '*>'/2.
:- discontiguous '*>'/2.
:- multifile (if)/2.
:- multifile (fun)/1.

% Languages the have VP modifiers: Danish, English, Chinese, ...


% Chinese and English
vp_modifier_word :=
 (@non_relativizer_le,
  @v_modifier_word,
  synsem:loc:cat:head:mod: @vp).


intersective_vp_modifier_word :=
  (@intersective_v_modifier_word,
   @vp_modifier_word).

scopal_vp_modifier_word :=
  (@scopal_modifier_word,
   @vp_modifier_word).

intersective_vp_adverb :=
 (@non_rel_adverb_word,
  @intersective_vp_modifier_word).


vp_mod_prep_word :=
 (@v_mod_prep_word,
  @intersective_vp_modifier_word).

vp_mod_prep_word(Pred) :=
  (@vp_mod_prep_word,
   rels:[pred:Pred]).
