% -*-  coding:utf-8 mode:trale-prolog   -*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%          $File: german-maltese-lexrules.pl $
%%      $Revision: 65 $
%%          $Date: 2007-03-24 15:56:43 +0100 (Sat, 24 Mar 2007) $
%%         Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%% $LastChangedBy: stefan $
%%        Purpose: inflectional types for Maltese
%%       Language: Trale
%          System: TRALE 2.7.5 (release ) under Sicstus 3.12
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- multifile '*>'/2. 

adj_i_suffix *>
  (
    @a_infl_affix([a_ []], sg,mas);
    @a_infl_affix([a_ a],  sg,fem)
  ).

noun_i_suffix *>
  (
    @a_infl_affix([a_ []], sg,mas);
    @a_infl_affix([a_ a],  sg,fem)
  ).


% PHON, PREFIX, PER, NUM, GEN, TENSE,  Fabri93a:97
fin_verb_i_affix *>
(
  % suffixes
  @v_infl_affix([a_ t],  minus,first_or_second,sg,fem,  perfective);

  @v_infl_affix([a_ []], minus,third,sg,mas,  perfective);
 % todo Vt -> fem
  @v_infl_affix([a_ t],  minus,third,sg,fem,  perfective);

 
  @v_infl_affix([a_ na],minus,first, pl,genus,perfective);
  @v_infl_affix([a_ tu],minus,second,pl,genus,perfective);
  @v_infl_affix([a_ u], minus,third, pl,genus,perfective);
  @v_infl_affix([a_ w], minus,third, pl,genus,perfective);

 
  % prefix
  @v_infl_affix([a_ n],plus,first, sg,genus, imperfective);
  @v_infl_affix([a_ t],plus,second,sg,genus, imperfective);
  @v_infl_affix([a_ i],plus,third, sg,mas,   imperfective);
  @v_infl_affix([a_ t],plus,third, sg,fem,   imperfective)
).