% -*-  coding:utf-8 mode:trale-prolog   -*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: lexicon.pl,v $
%%  $Revision: 116 $
%%      $Date: 2007-04-22 11:47:34 +0200 (Sun, 22 Apr 2007) $
%%     Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%%    Purpose: A grammar for Maltese
%%   Language: Trale
%%     System: TRALE 2.7.5 (release ) under Sicstus 3.12
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- multifile '--->'/2.
:- discontiguous '--->'/2.
        
:- multifile '*>'/2.
:- discontiguous '*>'/2.



jien ~~> @unmarked_pers_pronoun(first, sg, human).
int  ~~> @unmarked_pers_pronoun(second, sg, human).


hija ~~> @unmarked_pers_pronoun(third, sg, fem, anything).


lili  ~~> @marked_pers_pronoun(first, sg).

lilha ~~> @marked_pers_pronoun(third, sg, fem).

% Fabri2001a:155
wieħed ~~> @indefinite_art(mas).
waħda  ~~> @indefinite_art(fem).


%albert ~~> @proper_noun(a_ albert,human).
pawlu  ~~> @proper_noun(a_ pawlu, human).

norma  ~~> @proper_noun(a_ norma, human).


%bieb   ~~> @noun(mas,   a_ door).

%disk ~~> @noun(fem,   a_ record, human). % todo check translation

% check gender and translation
%iskrivan ~~> @noun(genus, a_ employee, human).

%ittr     ~~> @noun(fem,   a_ letter, info_bearer).

%karozz ~~>  @noun(fem,   a_ car, vehicle).

%komunist ~~> @noun(mas,   a_ book,   human).

%ktieb ~~> @noun(mas,   a_ book, thing). % plural kotb-a

mar   ~~> @noun(fem,   a_ woman).


mazzit ~~> @noun(fem,   a_ blutwurst, food).

%papa ~~> @noun(mas,   a_ pope, human). % plural kotb-a

%papà ~~> @noun(mas,   a_ father, human).



%president ~~> @noun(mas,   a_ president,   human).

raġel ~~> @noun(mas,   a_ man).

%terrorist ~~> @noun(mas,   a_ terrorist,   human).

%tifel ~~> @noun(genus,   a_ child, human).

% % see Fabri93a:102
% ara ~~> @bi_val_verb(a_ see_rel,agentive, object),
%         @perf_stem(a_ ra),    % Fabri93:114
%         @imperf_stem(a_ ara).


% % send Fabri93a:104
% bgħt ~~>  @tri_val_verb(a_ send_rel,human,    object, agentive),
%           @perf_stem(a_ bagħat), 
%           @imperf_stem(a_ bgħat). % ji statt i als Präfix

% bs ~~> @bi_val_verb(a_ kiss_rel,agentive, object),
%        @perf_stem(a_ bis),
%        @imperf_stem(a_ imperfective_bis).


% ftħ ~~> @bi_val_verb(a_ open_rel,agentive, thing),
%         @perf_stem(a_ fetħ),
%         @imperf_stem(a_ imperfective_fetħ).





% % come Fabri93a p. 18
 ġie   ~~> @mono_val_verb(a_ come_rel,agentive),
           @perf_stem(a_ ġie),
           @imperf_stem(a_ imperfective_ġie).

% % love 
% ħobb ~~> @bi_val_verb(a_ love_rel,agentive, thing),
%          @perf_stem(a_ perfective_ħobb),             % todo
%          @imperf_stem(a_ ħobb).


% write Peterson 
ktb ~~> @bi_val_verb(a_ write_rel,agentive, thing),
        @perf_stem(a_ kiteb),  % Fabri93a:130
        @imperf_stem(a_ iktib). % check Peterson


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% prepositions


fuq ~~> @location_v_mod_prep(a_ on).

lil ~~> @lil_marker.




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% adverbs

%illum   ~~> @temp_adv(a_ today).
%'''llum'    ~~> @temp_adv(a_ today).


% These are the object clitics.
% For prepositions one has to use the possessive clitics.
% They differ in first person singular:
% Instead of 'ni' one uses `i' and if the the preposition
% ends in a vowel, one takes `ja'. Example: bi-ja
clitic *>
 (
   (phon:[a_ ni],
    @clitic(acc,first,sg,genus),
    stressible:minus)
 ;
   (phon:[a_ i],
    @clitic(dat,first,sg,genus),
    stressible:minus)

%  todo: The vowel has to match the verb
 ; (( phon:[a_ ek]
    ; phon:[a_ k]
    ),
    @clitic(second,sg,genus),
    stressible:minus)

 ; (phon:[a_ hu],
    @clitic(third,sg,mas))

 ; (phon:[a_ ha],
    @clitic(third,sg,fem),
    stressible:minus)

 ; (phon:[a_ hie],
    @clitic(third,sg,mas),
    stressible:plus)


 ; (phon:[a_ na],
    @clitic(first,pl,genus),
    stressible:minus)

 ; (phon:[a_ kom],
    @clitic(second,pl,genus),
    stressible:minus)

 ; (phon:[a_ hom],
    @clitic(third,pl,genus),
    stressible:minus)
).



%test ~~> @e_copula.

%empty
%  @e_copula.


empty
  (@empty_determiner_word,
      ((synsem:loc:cat:head:spec:loc:cat:def:plus,
        rels:[udef_q])
      ;(synsem:loc:cat:head:spec:loc:cat:def:minus,
        rels:[some_q])
      )
  ).



empty 
   e_trace.

